Package org.springframework.cglib.transform.impl

# Class AddInitTransformer

java.lang.Object
org.springframework.asm.ClassVisitor
org.springframework.cglib.core.ClassTransformer
org.springframework.cglib.core.ClassEmitter
org.springframework.cglib.transform.ClassEmitterTransformer
org.springframework.cglib.transform.impl.AddInitTransformer

public class AddInitTransformer extends ClassEmitterTransformer

Author:
  Mark Hobson

## Field Summary

### Fields inherited from class org.springframework.asm.ClassVisitor

`api, cv`

## Constructor Summary

Constructors
Constructor
Description
`AddInitTransformer(Method method)`

## Method Summary

Modifier and Type
Method
Description
`CodeEmitter`
`begin_method(int access, Signature sig, Type[] exceptions)`

### Methods inherited from class org.springframework.cglib.core.ClassEmitter

`begin_class, begin_static, declare_field, end_class, getAccess, getClassInfo, getClassType, getStaticHook, getSuperType, init, setTarget, visit, visitEnd, visitField, visitMethod`

### Methods inherited from class org.springframework.asm.ClassVisitor

`getDelegate, visitAnnotation, visitAttribute, visitInnerClass, visitModule, visitNestHost, visitNestMember, visitOuterClass, visitPermittedSubclass, visitRecordComponent, visitSource, visitTypeAnnotation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AddInitTransformer

public AddInitTransformer(Method method)

## Method Details

### begin_method

public CodeEmitter begin_method(int access, Signature sig, Type[] exceptions)

Overrides:
  `begin_method` in class `ClassEmitter`